Bug 1333181 - Remote Execution using update for errata install instead of update-minimal
Summary: Remote Execution using update for errata install instead of update-minimal
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Remote Execution
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: Unspecified
Assignee: Adam Ruzicka
QA Contact: Ivan Necas
URL:
Whiteboard:
Depends On:
Blocks: 1353215 1399395
TreeView+ depends on / blocked
 
Reported: 2016-05-04 21:13 UTC by Justin Sherrill
Modified: 2019-09-25 21:14 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
verification screenshot (33.22 KB, image/png)
2017-08-16 12:55 UTC, Ivan Necas
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17513 0 None None None 2016-11-29 08:34:51 UTC

Description Justin Sherrill 2016-05-04 21:13:23 UTC
Description of problem:

Currently errata installation via REX is using 'yum update --advisories'.  

This command will update to newer packages than what was specified in the errata if newer ones are available.

For example, if a client has 'foo-1.0' installed and errata A has 'foo-2.0', but there also exists foo-3.0 in the repo, performing an errata install with REX will cause yum to pull in foo-3.0 even though foo-2.0 is in the Errata.

Yum provides an update-minimal command which provides this functionality.

Version-Release number of selected component (if applicable):
6.2.0 Beta

How reproducible:
Always

Steps to Reproduce:
1.  Using rex try to apply an errata to a client where there is a newer version of one of the packages in the errata available via the email

Actual results:
Newer package is installed that is not in the errata

Expected results:
Older version of package that is in the errata

Additional info:

Satellite 5 & 6 have used similar behavior to update-minimal for many years

in RHEL 7.0 and 7.1 there is a known bug:  https://bugzilla.redhat.com/show_bug.cgi?id=1192239

Which should be fixed in 7.2  Unsure if this complicates the matter.

Comment 2 Adam Ruzicka 2016-11-29 08:34:49 UTC
Created redmine issue http://projects.theforeman.org/issues/17513 from this bug

Comment 7 pm-sat@redhat.com 2017-01-17 15:18:24 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 8 pm-sat@redhat.com 2017-01-17 15:18:27 UTC
Upstream bug assigned to aruzicka@redhat.com

Comment 9 pm-sat@redhat.com 2017-01-17 17:18:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17513 has been resolved.

Comment 10 Ivan Necas 2017-08-16 12:55:30 UTC
Version Tested: Satellite-6.3 Snap 11

The install errata template now uses 'update-minimal' as the command. See attachment

Comment 11 Ivan Necas 2017-08-16 12:55:59 UTC
Created attachment 1314113 [details]
verification screenshot

Comment 12 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.